One of the more interesting features ESRI has rolled out lately is the ability to connect to geodatabases that aren’t the same release. Now ArcGIS 9.2 SP5 or SP6 clients can make connections to ArcSDE 9.3 geodatabases and for ArcGIS 9.3 clients can make direct connections to any ArcSDE 9.x geodatabase.

Direct connections to ArcSDE geodatabases

The ESRI Inside the Geodatabase blog has some links to web help and support information worth checking out.